.wrapper{
    width: 78%;
    margin: auto;
    display: flex;
    justify-content: center;
    flex-flow: wrap row;
    align-items: flex-start;
    

    .card{
        transition: opacity 1s;
        width: 25%;
        margin: 1%;
        p{
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

    }
}

.cardimg{
    width: 60%;
    float: left;
    margin-top: 2%;
    height: 140px;
}

.books{
    width: 80%;
    float: right;
}

.filters{
    float: left;
    width: 20%;
    margin-left: -10%;
    position: fixed;
}

.price{
    flex: 5;
    display: flex;
    flex-direction: row;
}

.bookname{
    text-align: right; 
    margin-right: 5%; 
    font-weight: bold; 
    color: darkgoldenrod; 
    height: 90px;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 18px;
}

.bookauthor{
    text-align: right;
    margin-right: 5%;
    color: black;
    height: 40px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.bookprice{
    margin-top: 10%;
    justify-content: center;
    color: #000000db;
    text-align: center;
    font: icon;
    font-weight: bold;
}

.filtersfreetext{
    margin-top: 5%;
    margin-bottom: 2em;
    padding: 0 1.5em;
    box-sizing: border-box;
    width: 100%;
    display: flex;
    align-items: center;
    position: sticky;
    background:#ffffff;

    .text-inputs{
        flex: 5;
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        
        *{
            width: 30%;
        }
    }

    .text-inputs.freetext{
        *{
            width: 95%;
        }
    }
    .buttons{
        flex:1;
        display: flex;
        align-items: center;
        *{
            margin-left: 1em;
            flex:1;
        }
    }

    h4{
        justify-self: flex-start;
        color: #aaa;
    }
}